OpenJPH: /build/openjph/src/OpenJPH/src/apps/ojph_expand/ojph_expand.cpp File Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_expand.cpp File Reference
`#include <ctime>`
`#include <iostream>`
`#include <cstdlib>`
`#include "ojph_arg.h"`
`#include "ojph_mem.h"`
`#include "ojph_img_io.h"`
`#include "ojph_file.h"`
`#include "ojph_codestream.h"`
`#include "ojph_params.h"`
`#include "ojph_message.h"`

Go to the source code of this file.

## Classes
struct | ui32_list_interpreter

## Functions
static bool | get_arguments (int argc, char *argv[], char *&input_filename, char *&output_filename, ojph::ui32 &skipped_res_for_read, ojph::ui32 &skipped_res_for_recon, bool &resilient)
static const char * | get_file_extension (const char *filename)
static bool | is_matching (const char *ref, const char *other)
int | main (int argc, char *argv[])

## Function Documentation

## ◆ get_arguments()

bool get_arguments | ( | int | argc,
|  | char * | argv[],
|  | char *& | input_filename,
|  | char *& | output_filename,
|  | ojph::ui32 & | skipped_res_for_read,
|  | ojph::ui32 & | skipped_res_for_recon,
|  | bool & | resilient )
| static

Definition at line 94 of file ojph_expand.cpp.

References ojph::argument::arg, ojph::cli_interpreter::get_argument_zero(), ojph::cli_interpreter::get_next_avail_argument(), ojph::cli_interpreter::init(), ojph::cli_interpreter::is_exhausted(), ojph::argument::is_valid(), and ojph::cli_interpreter::reinterpret().

Referenced by main().

## ◆ get_file_extension()

const char * get_file_extension | ( | const char * | filename | ) |
| static

Definition at line 137 of file ojph_expand.cpp.

References OJPH_ERROR.

Referenced by main().

## ◆ is_matching()

bool is_matching | ( | const char * | ref,
|  | const char * | other )
| static

Definition at line 150 of file ojph_expand.cpp.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 165 of file ojph_expand.cpp.

References ojph::codestream::access_cod(), ojph::codestream::access_siz(), ojph::codestream::close(), ojph::image_out_base::close(), ojph::pfm_out::configure(), ojph::ppm_out::configure(), ojph::raw_out::configure(), ojph::yuv_out::configure(), ojph::codestream::create(), ojph::codestream::enable_resilience(), get_arguments(), ojph::param_siz::get_bit_depth(), ojph::param_siz::get_downsampling(), get_file_extension(), ojph::param_siz::get_num_components(), ojph::param_siz::get_recon_height(), ojph::param_siz::get_recon_width(), is_matching(), ojph::codestream::is_planar(), ojph::param_siz::is_signed(), ojph::param_cod::is_using_color_transform(), OJPH_ERROR, OJPH_INFO, ojph_max, ojph::j2c_infile::open(), ojph::pfm_out::open(), ojph::ppm_out::open(), ojph::raw_out::open(), ojph::yuv_out::open(), ojph::codestream::pull(), ojph::codestream::read_headers(), ojph::codestream::restrict_input_resolution(), ojph::codestream::set_planar(), ojph::image_out_base::write(), ojph::point::x, and ojph::point::y.